<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>YAMLNode (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="YAMLNode (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/util/yaml/YAMLNode.html" target="_top">Frames</a></li>
<li><a href="YAMLNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.util.yaml</div>
<h2 title="Class YAMLNode" class="title">Class YAMLNode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.util.yaml.YAMLNode</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml">YAMLProcessor</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">YAMLNode</span>
extends java.lang.Object</pre>
<div class="block">Represents a configuration node.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#root">root</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#YAMLNode-java.util.Map-boolean-">YAMLNode</a></span>(java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;root,
        boolean&nbsp;writeDefaults)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#addNode-java.lang.String-">addNode</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Adds a new node to the given path.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#clear--">clear</a></span>()</code>
<div class="block">Clear all nodes.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBlockVector2List-java.lang.String-java.util.List-">getBlockVector2List</a></span>(java.lang.String&nbsp;path,
                   java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;def)</code>
<div class="block">Gets a list of 2D vectors.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBoolean-java.lang.String-">getBoolean</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a boolean at a location.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBoolean-java.lang.String-boolean-">getBoolean</a></span>(java.lang.String&nbsp;path,
          boolean&nbsp;def)</code>
<div class="block">Gets a boolean at a location.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Boolean&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getBooleanList-java.lang.String-java.util.List-">getBooleanList</a></span>(java.lang.String&nbsp;path,
              java.util.List&lt;java.lang.Boolean&gt;&nbsp;def)</code>
<div class="block">Gets a list of booleans.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDouble-java.lang.String-">getDouble</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a double at a location.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDouble-java.lang.String-double-">getDouble</a></span>(java.lang.String&nbsp;path,
         double&nbsp;def)</code>
<div class="block">Gets a double at a location.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Double&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getDoubleList-java.lang.String-java.util.List-">getDoubleList</a></span>(java.lang.String&nbsp;path,
             java.util.List&lt;java.lang.Double&gt;&nbsp;def)</code>
<div class="block">Gets a list of doubles.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.Integer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getInt-java.lang.String-">getInt</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets an integer at a location.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getInt-java.lang.String-int-">getInt</a></span>(java.lang.String&nbsp;path,
      int&nbsp;def)</code>
<div class="block">Gets an integer at a location.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getIntList-java.lang.String-java.util.List-">getIntList</a></span>(java.lang.String&nbsp;path,
          java.util.List&lt;java.lang.Integer&gt;&nbsp;def)</code>
<div class="block">Gets a list of integers.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getKeys-java.lang.String-">getKeys</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Get a list of keys at a location.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getList-java.lang.String-">getList</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a list of objects at a location.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getMap--">getMap</a></span>()</code>
<div class="block">Return the underlying map.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNode-java.lang.String-">getNode</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Get a configuration node at a path.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNodeList-java.lang.String-java.util.List-">getNodeList</a></span>(java.lang.String&nbsp;path,
           java.util.List&lt;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;&nbsp;def)</code>
<div class="block">Gets a list of nodes.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getNodes-java.lang.String-">getNodes</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Get a list of nodes at a location.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getProperty-java.lang.String-">getProperty</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a property at a location.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getString-java.lang.String-">getString</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a string at a location.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getString-java.lang.String-java.lang.String-">getString</a></span>(java.lang.String&nbsp;path,
         java.lang.String&nbsp;def)</code>
<div class="block">Gets a string at a location.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getStringList-java.lang.String-java.util.List-">getStringList</a></span>(java.lang.String&nbsp;path,
             java.util.List&lt;java.lang.String&gt;&nbsp;def)</code>
<div class="block">Gets a list of strings.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector-java.lang.String-">getVector</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a vector at a location.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector-java.lang.String-com.sk89q.worldedit.math.Vector3-">getVector</a></span>(java.lang.String&nbsp;path,
         <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;def)</code>
<div class="block">Gets a string at a location.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector2-java.lang.String-">getVector2</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Gets a 2D vector at a location.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVector2List-java.lang.String-java.util.List-">getVector2List</a></span>(java.lang.String&nbsp;path,
              java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&gt;&nbsp;def)</code>
<div class="block">Gets a list of 2D vectors.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#getVectorList-java.lang.String-java.util.List-">getVectorList</a></span>(java.lang.String&nbsp;path,
             java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&gt;&nbsp;def)</code>
<div class="block">Gets a list of vectors.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#removeProperty-java.lang.String-">removeProperty</a></span>(java.lang.String&nbsp;path)</code>
<div class="block">Remove the property at a location.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a></span>(java.lang.String&nbsp;path,
           java.lang.Object&nbsp;value)</code>
<div class="block">Set the property at a location.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#setWriteDefaults-boolean-">setWriteDefaults</a></span>(boolean&nbsp;writeDefaults)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/util/yaml/YAMLNode.html#writeDefaults--">writeDefaults</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="root">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>root</h4>
<pre>protected&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt; root</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="YAMLNode-java.util.Map-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>YAMLNode</h4>
<pre>public&nbsp;YAMLNode(java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;root,
                boolean&nbsp;writeDefaults)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.Object&gt;&nbsp;getMap()</pre>
<div class="block">Return the underlying map.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Clear all nodes.</div>
</li>
</ul>
<a name="getProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProperty</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getProperty(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a property at a location. This will either return an Object
 or null, with null meaning that no configuration value exists at
 that location. This could potentially return a default value (not yet
 implemented) as defined by a plugin, if this is a plugin-tied
 configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>object or null</dd>
</dl>
</li>
</ul>
<a name="setProperty-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProperty</h4>
<pre>public&nbsp;void&nbsp;setProperty(java.lang.String&nbsp;path,
                        java.lang.Object&nbsp;value)</pre>
<div class="block">Set the property at a location. This will override existing
 configuration data to have it conform to key/value mappings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dd><code>value</code> - the new value</dd>
</dl>
</li>
</ul>
<a name="addNode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNode</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&nbsp;addNode(java.lang.String&nbsp;path)</pre>
<div class="block">Adds a new node to the given path. The returned object is a reference
 to the new node. This method will replace an existing node at
 the same path. See <code>setProperty</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a node for the path</dd>
</dl>
</li>
</ul>
<a name="getString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a string at a location. This will either return an String
 or null, with null meaning that no configuration value exists at
 that location. If the object at the particular location is not actually
 a string, it will be converted to its string representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string or null</dd>
</dl>
</li>
</ul>
<a name="getVector-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVector</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getVector(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a vector at a location. This will either return an Vector
 or a null. If the object at the particular location is not
 actually a string, it will be converted to its string representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string or default</dd>
</dl>
</li>
</ul>
<a name="getVector2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVector2</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;getVector2(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a 2D vector at a location. This will either return an Vector
 or a null. If the object at the particular location is not
 actually a string, it will be converted to its string representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string or default</dd>
</dl>
</li>
</ul>
<a name="getVector-java.lang.String-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVector</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getVector(java.lang.String&nbsp;path,
                         <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;def)</pre>
<div class="block">Gets a string at a location. This will either return an Vector
 or the default value. If the object at the particular location is not
 actually a string, it will be converted to its string representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string or default</dd>
</dl>
</li>
</ul>
<a name="getString-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(java.lang.String&nbsp;path,
                                  java.lang.String&nbsp;def)</pre>
<div class="block">Gets a string at a location. This will either return an String
 or the default value. If the object at the particular location is not
 actually a string, it will be converted to its string representation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string or default</dd>
</dl>
</li>
</ul>
<a name="getInt-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre>public&nbsp;java.lang.Integer&nbsp;getInt(java.lang.String&nbsp;path)</pre>
<div class="block">Gets an integer at a location. This will either return an integer
 or null. If the object at the particular location is not
 actually a integer, the default value will be returned. However, other
 number types will be casted to an integer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>integer or null</dd>
</dl>
</li>
</ul>
<a name="getInt-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre>public&nbsp;int&nbsp;getInt(java.lang.String&nbsp;path,
                  int&nbsp;def)</pre>
<div class="block">Gets an integer at a location. This will either return an integer
 or the default value. If the object at the particular location is not
 actually a integer, the default value will be returned. However, other
 number types will be casted to an integer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int or default</dd>
</dl>
</li>
</ul>
<a name="getDouble-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;java.lang.Double&nbsp;getDouble(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a double at a location. This will either return an double
 or null. If the object at the particular location is not
 actually a double, the default value will be returned. However, other
 number types will be casted to an double.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double or null</dd>
</dl>
</li>
</ul>
<a name="getDouble-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;double&nbsp;getDouble(java.lang.String&nbsp;path,
                        double&nbsp;def)</pre>
<div class="block">Gets a double at a location. This will either return an double
 or the default value. If the object at the particular location is not
 actually a double, the default value will be returned. However, other
 number types will be casted to an double.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double or default</dd>
</dl>
</li>
</ul>
<a name="getBoolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoolean</h4>
<pre>public&nbsp;java.lang.Boolean&nbsp;getBoolean(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a boolean at a location. This will either return an boolean
 or null. If the object at the particular location is not
 actually a boolean, the default value will be returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean or null</dd>
</dl>
</li>
</ul>
<a name="getBoolean-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoolean</h4>
<pre>public&nbsp;boolean&nbsp;getBoolean(java.lang.String&nbsp;path,
                          boolean&nbsp;def)</pre>
<div class="block">Gets a boolean at a location. This will either return an boolean
 or the default value. If the object at the particular location is not
 actually a boolean, the default value will be returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean or default</dd>
</dl>
</li>
</ul>
<a name="getKeys-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeys</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getKeys(java.lang.String&nbsp;path)</pre>
<div class="block">Get a list of keys at a location. If the map at the particular location
 does not exist or it is not a map, null will be returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of keys</dd>
</dl>
</li>
</ul>
<a name="getList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getList</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.Object&gt;&nbsp;getList(java.lang.String&nbsp;path)</pre>
<div class="block">Gets a list of objects at a location. If the list is not defined,
 null will be returned. The node must be an actual list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean or default</dd>
</dl>
</li>
</ul>
<a name="getStringList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStringList</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getStringList(java.lang.String&nbsp;path,
                                                      java.util.List&lt;java.lang.String&gt;&nbsp;def)</pre>
<div class="block">Gets a list of strings. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. If an item in the list
 is not a string, it will be converted to a string. The node must be
 an actual list and not just a string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of strings</dd>
</dl>
</li>
</ul>
<a name="getIntList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntList</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.Integer&gt;&nbsp;getIntList(java.lang.String&nbsp;path,
                                                    java.util.List&lt;java.lang.Integer&gt;&nbsp;def)</pre>
<div class="block">Gets a list of integers. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual list and not just an integer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getDoubleList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDoubleList</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.Double&gt;&nbsp;getDoubleList(java.lang.String&nbsp;path,
                                                      java.util.List&lt;java.lang.Double&gt;&nbsp;def)</pre>
<div class="block">Gets a list of doubles. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual list and cannot be just a double.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getBooleanList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBooleanList</h4>
<pre>public&nbsp;java.util.List&lt;java.lang.Boolean&gt;&nbsp;getBooleanList(java.lang.String&nbsp;path,
                                                        java.util.List&lt;java.lang.Boolean&gt;&nbsp;def)</pre>
<div class="block">Gets a list of booleans. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual list and cannot be just a boolean,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getVectorList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVectorList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&gt;&nbsp;getVectorList(java.lang.String&nbsp;path,
                                             java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&gt;&nbsp;def)</pre>
<div class="block">Gets a list of vectors. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual node and cannot be just a vector,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getVector2List-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVector2List</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&gt;&nbsp;getVector2List(java.lang.String&nbsp;path,
                                              java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&gt;&nbsp;def)</pre>
<div class="block">Gets a list of 2D vectors. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual node and cannot be just a vector,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getBlockVector2List-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockVector2List</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;getBlockVector2List(java.lang.String&nbsp;path,
                                                        java.util.List&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;def)</pre>
<div class="block">Gets a list of 2D vectors. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual node and cannot be just a vector,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getNodeList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodeList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;&nbsp;getNodeList(java.lang.String&nbsp;path,
                                            java.util.List&lt;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;&nbsp;def)</pre>
<div class="block">Gets a list of nodes. Non-valid entries will not be in the list.
 There will be no null slots. If the list is not defined, the
 default will be returned. 'null' can be passed for the default
 and an empty list will be returned instead. The node must be
 an actual node and cannot be just a boolean,</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dd><code>def</code> - default value or null for an empty list as default</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of integers</dd>
</dl>
</li>
</ul>
<a name="getNode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&nbsp;getNode(java.lang.String&nbsp;path)</pre>
<div class="block">Get a configuration node at a path. If the node doesn't exist or the
 path does not lead to a node, null will be returned. A node has
 key/value mappings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>node or null</dd>
</dl>
</li>
</ul>
<a name="getNodes-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodes</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../../com/sk89q/util/yaml/YAMLNode.html" title="class in com.sk89q.util.yaml">YAMLNode</a>&gt;&nbsp;getNodes(java.lang.String&nbsp;path)</pre>
<div class="block">Get a list of nodes at a location. If the map at the particular location
 does not exist or it is not a map, null will be returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to node (dot notation)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>map of nodes</dd>
</dl>
</li>
</ul>
<a name="removeProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeProperty</h4>
<pre>public&nbsp;void&nbsp;removeProperty(java.lang.String&nbsp;path)</pre>
<div class="block">Remove the property at a location. This will override existing
 configuration data to have it conform to key/value mappings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - a path</dd>
</dl>
</li>
</ul>
<a name="writeDefaults--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeDefaults</h4>
<pre>public&nbsp;boolean&nbsp;writeDefaults()</pre>
</li>
</ul>
<a name="setWriteDefaults-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setWriteDefaults</h4>
<pre>public&nbsp;void&nbsp;setWriteDefaults(boolean&nbsp;writeDefaults)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/util/yaml/YAMLFormat.html" title="enum in com.sk89q.util.yaml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/util/yaml/YAMLProcessor.html" title="class in com.sk89q.util.yaml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/util/yaml/YAMLNode.html" target="_top">Frames</a></li>
<li><a href="YAMLNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
